<?php

namespace Spec\Infomaker\Everyware\Base\Admin;

use Infomaker\Everyware\Base\Admin\SettingsField;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class SettingsFieldSpec extends ObjectBehavior
{
    function it_can_create_proper_id_from_name()
    {
        $this->beConstructedWith('links[0][link_url]', 'link url');

        $this->id()->shouldReturn('links-0-link_url');
    }

    function it_hass_support_for_an_escaped_version_of_the_value()
    {
        $this->beConstructedWith('comment', '<p>paragraph</p>');

        $this->value(true)->shouldReturn('&lt;p&gt;paragraph&lt;/p&gt;');
    }

    function it_has_support_for_prefix_for_name(){

        $prefix = 'field-prefix';
        $this->beConstructedWith('links[0][link_url]', 'link url', $prefix);

        $this->name()->shouldReturn($prefix . '[links][0][link_url]');
    }
    function it_has_support_for_prefix_for_id()
    {
        $prefix = 'field-prefix';
        $this->beConstructedWith('links[0][link_url]', 'link url', $prefix);

        $this->id()->shouldReturn($prefix . '-links-0-link_url');
    }
}
